const customerController = require('../controllers/customer_details.controller');
const { logger } = require('../util/logger');

const customerRoute = async (req, res) => {
  const customerNo = req.user;
  try {
    const details = await customerController.getDetails(customerNo);
    return res.json(details);
  } catch (err) {
    logger.error(err);
    return res.status(500).json({ message: 'INTERNAL_SERVER_ERROR' });
  }
};

module.exports = customerRoute;
