const app = require('./app');
const { port } = require('./config/config');
const { logger } = require('./util/logger');
const db = require('./config/db');

const server = app.listen(port, () => {
  logger.info(`server listening on http://localhost:${port}`);
});

const shutdown = () => {
  logger.info('shutting down server...');
  server.close(() => {
    logger.info('http server closed');
    db.pool.end(() => {
      logger.info('pg pool has ended');
      process.exit(0);
    });
  });
};

process.on('SIGINT', shutdown);
process.on('SIGTERM', shutdown);
