const bcrypt = require('bcrypt');
const { logger } = require('./logger');

async function hashPassword(password) {
  return await bcrypt.hash(password, 10);
}

async function comparePassword(plain, hash) {
  const hashedPassword = await hashPassword(plain);
  logger.info(hashedPassword, 'passed password after hashing');
  return await bcrypt.compare(plain, hash);
}

module.exports = {
  hashPassword,
  comparePassword,
};
