const jwt = require('jsonwebtoken');
const { jwtSecret } = require('../config/config');
const { logger } = require('./logger');

function generateToken(customerNo, expiresIn = '10d') {
  logger.info({ customerNo }, 'payload to encode');
  return jwt.sign({ customerNo }, jwtSecret, { expiresIn });
}

function verifyToken(token) {
  const payload = jwt.verify(token, jwtSecret);
  return payload;
}

module.exports = {
  generateToken,
  verifyToken,
};
