const authService = require('../services/auth.service');

const tpinValidator = async (req, res, next) => {
  const customerNo = req.user;
  const { tpin } = req.body;

  if (!tpin) {
    return res.status(400).json({ error: 'BAD_REQUEST' });
  }
  const valid = await authService.validateTpin(customerNo, tpin);
  if (valid === null) res.status(400).json({ error: 'TPIN_NOT_SET_FOR_USER' });
  if (!valid) return res.status(401).json({ error: 'INCORRECT_TPIN' });
  next();
};

module.exports = tpinValidator;
