const transferValidator = async (req, res, next) => {
  const { fromAccount, toAccount, toAccountType, amount } = req.body;

  const accountTypes = ['SB', 'LN'];
  if (!fromAccount || fromAccount.length != 11) {
    return res.status(400).json({ error: 'INVALID_ACCOUNT_NUMBER_FORMAT' });
  }
  if (!toAccount || toAccount.length != 11) {
    return res.status(400).json({ error: 'INVALID_ACCOUNT_NUMBER_FORMAT' });
  }
  if (!accountTypes || !accountTypes.includes(toAccountType)) {
    return res.status(400).json({ error: 'INVALID_ACCOUNT_TYPE' });
  }
  if (!amount || amount <= 0) {
    return res.status(400).json({ error: 'INVALID_AMOUNT' });
  }
  next();
};

module.exports = transferValidator;
